import '../icon/icon';
import { LocalizeController } from '../../utilities/localize';
import SolidElement from '../../internal/solid-element';
export default class SdScrollable extends SolidElement {
    rightButton: HTMLButtonElement | undefined;
    leftButton: HTMLButtonElement | undefined;
    downButton: HTMLButtonElement | undefined;
    upButton: HTMLButtonElement | undefined;
    container: HTMLDivElement;
    announcementContainer: HTMLDivElement;
    localize: LocalizeController;
    orientation: 'horizontal' | 'vertical' | 'auto';
    scrollbars: boolean;
    buttons: boolean;
    shadows: boolean;
    inset: boolean;
    step: number;
    private canScroll;
    private isScrollHorizontalEnabled;
    private isScrollVerticalEnabled;
    private resizeObserver;
    connectedCallback(): void;
    disconnectedCallback(): void;
    updated(changedProperties: Map<string, unknown>): void;
    private updateScrollEnabledFlags;
    private get scrollButtons();
    handleContainerScroll(): void;
    handleScroll(direction: 'left' | 'right' | 'up' | 'down', e?: PointerEvent): void;
    handleButtonBlur(direction: 'left' | 'right' | 'up' | 'down', e: FocusEvent): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-scrollable': SdScrollable;
    }
}
